/*
 *  Licensed to the Apache Software Foundation (ASF) under one
 *  or more contributor license agreements.  See the NOTICE file
 *  distributed with this work for additional information
 *  regarding copyright ownership.  The ASF licenses this file
 *  to you under the Apache License, Version 2.0 (the
 *  "License"); you may not use this file except in compliance
 *  with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing,
 *  software distributed under the License is distributed on an
 *   * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 *  KIND, either express or implied.  See the License for the
 *  specific language governing permissions and limitations
 *  under the License.
 */

package org.wso2.registry;

public class RegistryConstants {

    /**
     * Built in user names
     */
    public static final String ANONYMOUS_USER = "anonymous";
    public static final String GUESTS_ROLE = "guests";
    public static final String ADMIN_USER = "admin";
    public static final String ADMIN_ROLE = "admin";

    public static final String ROOT_PATH = "/";
    public static final String QUERIES_COLLECTION_NAME = "queries";
    public static final String USERS_COLLECTION_NAME = "users";
    public static final String PATH_SEPARATOR = "/";

    public static final String TAG_PROPERTY = "tag";
    
    public static final String REGISTRY = "RegistryEngine";
    public static final String USER_REGISTRY = "user_registry";
    public static final String REGISTRY_REALM = "registry_realm";


    public static final String SESSION_PROPERTY = "SessionObject";
    public static final String TAG_REGISTRY = "/view";
    public static final String TAG_UPLOAD = "/upload";
    public static final String ACTION = "action";


    // Directory listing
    public static final String DIRECTORY_ELEMENT ="directory";
    public static final String FILE_ELEMENT ="file";
    public static final String ATT_NAME ="name";
    public static final String ATT_PATH ="path";

    public static final String REGISTRY_INSTANCE = "registry";
    public static final String PATH = "path";
    public static final int ACTIVE_STATE = 100;
    public static final int DELETED_STATE = 101; 

    // internal media types
    public static final String DEFAULT_MEDIA_TYPE = "default";
    public static final String SQL_QUERY_MEDIA_TYPE = "sql-query";
    public static final String COMMENT_MEDIA_TYPE = "comment";    
    public static final String SYNPASE_REPOSITORY_MEDIA_TYPE = "synapse-repo";
    public static final String SYNAPSE_CONF_COLLECTION_MEDIA_TYPE = "synapse-conf";
    public static final String SYNAPSE_SEQUENCE_COLLECTION_MEDIA_TYPE = "synapse-seq";
    public static final String SYNAPSE_SEQUENCE_ENDPOINT_MEDIA_TYPE = "synapse-endpoint";

    public static final String SYNAPSE_CONF_COLLECTION_NAME = "conf";
    public static final String SYNAPSE_SEQUENCES_COLLECTION_NAME = "sequences";
    public static final String SYNAPSE_ENDPOINT_COLLECTION_NAME = "endpoints";

    // result types of dynamic queries
    public static final String RESULT_TYPE_PROPERTY_NAME = "resultType";
    public static final String RESOURCES_RESULT_TYPE = "Resource";
    public static final String COMMENTS_RESULT_TYPE = "Comments";

}
